/*globals Ti, Titanium*/
var win = Ti.UI.currentWindow;
var rows = [];
for (var i = 0; i < 80; i++) {
	var row = Ti.UI.createTableViewRow({
		title: 'Row ' + i,
		color: 'white',
		font: {fontWeight: 'bold'},
		backgroundColor: ((i % 2) ? 'red' : 'blue')
	});
	rows.push(row);
}

var tv = Ti.UI.createTableView({
	data: rows,
	top: 70, left: 0, right: 0, height: 200
});
win.add(tv);

var console = Ti.UI.createLabel({
	top: 0, left: 0, right: 0, height: 60, font: {fontSize: 12},
	color: 'black', verticalAlign: 'top'
});
win.add(console);

tv.addEventListener('scroll',function(e){
	var s = 'scroll ';
	if (e.contentOffset) {
		s += '(x,y)=(' + e.contentOffset.x + ',' + e.contentOffset.y + '); ';
	}
	if (e.contentSize) {
		s += '(w,h)=(' + e.contentSize.width + ',' + e.contentSize.height + '); ';
	}
	if (e.size) {
		s += '(view w,h)=(' + e.size.width + ', ' + e.size.height + '); ';
	}
	if ('firstVisibleItem' in e) {
		s += 'firstVisibleItem: ' + e.firstVisibleItem + '; ';
	}
	if (e.visibleItemCount) {
		s += 'visibleItemCount: ' + e.visibleItemCount + '; ';
	}
	if (e.totalItemCount) {
		s += 'totalItemCount: ' + e.totalItemCount + '; ';
	}
	console.text = s;
});

tv.addEventListener('scrollEnd', function(e){
	var s = console.text + ' scrollEnd!';
	console.text = s;
});

